Index: app_meetme.c
===================================================================
--- app_meetme.c	(revision 69052)
+++ app_meetme.c	(working copy)
@@ -948,8 +948,7 @@
 	} else 
 		return RESULT_SHOWUSAGE;
 
-	if (option_debug)
-		ast_log(LOG_DEBUG, "Cmdline: %s\n", cmdline);
+	ast_debug(1, "Cmdline: %s\n", cmdline);
 
 	admin_exec(NULL, cmdline);
 
@@ -1325,7 +1324,7 @@
 	AST_RWLIST_UNLOCK(&sla_stations);
 
 	if (!trunk_ref) {
-		ast_log(LOG_DEBUG, "Trunk not found for event!\n");
+		ast_debug(1, "Trunk not found for event!\n");
 		return;
 	}
 
@@ -1616,8 +1615,7 @@
 	if (ztc.confmode) {
 		/* Whoa, already in a conference...  Retry... */
 		if (!retryzap) {
-			if (option_debug)
-				ast_log(LOG_DEBUG, "Zap channel is in a conference already, retrying with pseudo\n");
+			ast_debug(1, "Zap channel is in a conference already, retrying with pseudo\n");
 			retryzap = 1;
 			goto zapretry;
 		}
@@ -1651,8 +1649,7 @@
 		ast_mutex_unlock(&conf->playlock);
 		goto outrun;
 	}
-	if (option_debug)
-		ast_log(LOG_DEBUG, "Placed channel %s in ZAP conf %d\n", chan->name, conf->zapconf);
+	ast_debug(1, "Placed channel %s in ZAP conf %d\n", chan->name, conf->zapconf);
 
 	if (!sent_event) {
 		manager_event(EVENT_FLAG_CALL, "MeetmeJoin", 
@@ -1891,8 +1888,7 @@
 						close(fd);
 						using_pseudo = 0;
 					}
-					if (option_debug)
-						ast_log(LOG_DEBUG, "Ooh, something swapped out under us, starting over\n");
+					ast_debug(1, "Ooh, something swapped out under us, starting over\n");
 					retryzap = strcasecmp(c->tech->type, "Zap");
 					user->zapchannel = !retryzap;
 					goto zapretry;
@@ -1959,13 +1955,13 @@
 					tmp[0] = f->subclass;
 					tmp[1] = '\0';
 					if (!ast_goto_if_exists(chan, exitcontext, tmp, 1)) {
-						if (option_debug)
-							ast_log(LOG_DEBUG, "Got DTMF %c, goto context %s\n", tmp[0], exitcontext);
+						ast_debug(1, "Got DTMF %c, goto context %s\n", tmp[0], exitcontext);
 						ret = 0;
 						ast_frfree(f);
 						break;
-					} else if (option_debug > 1)
-						ast_log(LOG_DEBUG, "Exit by single digit did not work in meetme. Extension %s does not exist in context %s\n", tmp, exitcontext);
+					} else {
+						ast_debug(2, "Exit by single digit did not work in meetme. Extension %s does not exist in context %s\n", tmp, exitcontext);
+					}
 				} else if ((f->frametype == AST_FRAME_DTMF) && (f->subclass == '#') && (confflags & CONFFLAG_POUNDEXIT)) {
 					ret = 0;
 					ast_frfree(f);
@@ -2136,10 +2132,8 @@
 					default:
 						break;
 					}
-				} else if (option_debug) {
-					ast_log(LOG_DEBUG,
-						"Got unrecognized frame on channel %s, f->frametype=%d,f->subclass=%d\n",
-						chan->name, f->frametype, f->subclass);
+				} else {
+					ast_debug(1, "Got unrecognized frame on channel %s, f->frametype=%d,f->subclass=%d\n", chan->name, f->frametype, f->subclass);
 				}
 				ast_frfree(f);
 			} else if (outfd > -1) {
@@ -2368,8 +2362,7 @@
 	if (!cnf) {
 		if (dynamic) {
 			/* No need to parse meetme.conf */
-			if (option_debug)
-				ast_log(LOG_DEBUG, "Building dynamic conference '%s'\n", confno);
+			ast_debug(1, "Building dynamic conference '%s'\n", confno);
 			if (dynamic_pin) {
 				if (dynamic_pin[0] == 'q') {
 					/* Query the user to enter a PIN */
@@ -2405,7 +2398,7 @@
 				}
 			}
 			if (!var) {
-				ast_log(LOG_DEBUG, "%s isn't a valid conference\n", confno);
+				ast_debug(1, "%s isn't a valid conference\n", confno);
 			}
 			ast_config_destroy(cfg);
 		}
@@ -3480,8 +3473,7 @@
 			ringing_trunk = sla_choose_ringing_trunk(ringing_station->station, &s_trunk_ref, 1);
 			ast_mutex_unlock(&sla.lock);
 			if (!ringing_trunk) {
-				ast_log(LOG_DEBUG, "Found no ringing trunk for station '%s' to answer!\n",
-					ringing_station->station->name);
+				ast_debug(1, "Found no ringing trunk for station '%s' to answer!\n", ringing_station->station->name);
 				break;
 			}
 			/* Track the channel that answered this trunk */
@@ -4256,7 +4248,7 @@
 		ast_cond_destroy(&cond);
 		ast_autoservice_stop(chan);
 		if (!trunk_ref->trunk->chan) {
-			ast_log(LOG_DEBUG, "Trunk didn't get created. chan: %lx\n", (long) trunk_ref->trunk->chan);
+			ast_debug(1, "Trunk didn't get created. chan: %lx\n", (long) trunk_ref->trunk->chan);
 			pbx_builtin_setvar_helper(chan, "SLASTATION_STATUS", "CONGESTION");
 			sla_change_trunk_state(trunk_ref->trunk, SLA_TRUNK_STATE_IDLE, ALL_TRUNK_REFS, NULL);
 			trunk_ref->chan = NULL;
Index: app_test.c
===================================================================
--- app_test.c	(revision 69052)
+++ app_test.c	(working copy)
@@ -112,8 +112,7 @@
 		ast_log(LOG_NOTICE, "No samples were received from the other side!\n");
 		return -1;
 	}
-	if (option_debug)
-		ast_log(LOG_DEBUG, "%s: Noise: %d, samples: %d, avg: %d\n", who, noise, samples, noise / samples);
+	ast_debug(1, "%s: Noise: %d, samples: %d, avg: %d\n", who, noise, samples, noise / samples);
 	return (noise / samples);
 }
 
@@ -153,18 +152,15 @@
 	/* Transmit client version */
 	if (!res)
 		res = ast_dtmf_stream(chan, NULL, "8378*1#", 0);
-	if (option_debug)
-		ast_log(LOG_DEBUG, "Transmit client version\n");
+	ast_debug(1, "Transmit client version\n");
 	
 	/* Read server version */
-	if (option_debug)
-		ast_log(LOG_DEBUG, "Read server version\n");
+	ast_debug(1, "Read server version\n");
 	if (!res) 
 		res = ast_app_getdata(chan, NULL, serverver, sizeof(serverver) - 1, 0);
 	if (res > 0)
 		res = 0;
-	if (option_debug)
-		ast_log(LOG_DEBUG, "server version: %s\n", serverver);
+	ast_debug(1, "server version: %s\n", serverver);
 		
 	if (res > 0)
 		res = 0;
@@ -176,8 +172,7 @@
 		res = ast_dtmf_stream(chan, NULL, testid, 0);		
 	if (!res) 
 		res = ast_dtmf_stream(chan, NULL, "#", 0);		
-	if (option_debug)
-		ast_log(LOG_DEBUG, "send test identifier: %s\n", testid);
+	ast_debug(1, "send test identifier: %s\n", testid);
 
 	if ((res >=0) && (!ast_strlen_zero(testid))) {
 		/* Make the directory to hold the test results in case it's not there */
@@ -193,8 +188,7 @@
 			
 			if (!res) {
 				/* Step 1: Wait for "1" */
-				if (option_debug)
-					ast_log(LOG_DEBUG, "TestClient: 2.  Wait DTMF 1\n");
+				ast_debug(1, "TestClient: 2.  Wait DTMF 1\n");
 				res = ast_waitfordigit(chan, 3000);
 				fprintf(f, "WAIT DTMF 1:   %s\n", (res != '1') ? "FAIL" : "PASS");
 				if (res == '1')
@@ -206,8 +200,7 @@
 				res = ast_safe_sleep(chan, 1000);
 			if (!res) {
 				/* Step 2: Send "2" */
-				if (option_debug)
-					ast_log(LOG_DEBUG, "TestClient: 2.  Send DTMF 2\n");
+				ast_debug(1, "TestClient: 2.  Send DTMF 2\n");
 				res = ast_dtmf_stream(chan, NULL, "2", 0);
 				fprintf(f, "SEND DTMF 2:   %s\n", (res < 0) ? "FAIL" : "PASS");
 				if (res > 0)
@@ -215,8 +208,7 @@
 			}
 			if (!res) {
 				/* Step 3: Wait one second */
-				if (option_debug)
-					ast_log(LOG_DEBUG, "TestClient: 3.  Wait one second\n");
+				ast_debug(1, "TestClient: 3.  Wait one second\n");
 				res = ast_safe_sleep(chan, 1000);
 				fprintf(f, "WAIT 1 SEC:    %s\n", (res < 0) ? "FAIL" : "PASS");
 				if (res > 0)
@@ -224,8 +216,7 @@
 			}			
 			if (!res) {
 				/* Step 4: Measure noise */
-				if (option_debug)
-					ast_log(LOG_DEBUG, "TestClient: 4.  Measure noise\n");
+				ast_debug(1, "TestClient: 4.  Measure noise\n");
 				res = measurenoise(chan, 5000, "TestClient");
 				fprintf(f, "MEASURENOISE:  %s (%d)\n", (res < 0) ? "FAIL" : "PASS", res);
 				if (res > 0)
@@ -233,8 +224,7 @@
 			}
 			if (!res) {
 				/* Step 5: Wait for "4" */
-				if (option_debug)
-					ast_log(LOG_DEBUG, "TestClient: 5.  Wait DTMF 4\n");
+				ast_debug(1, "TestClient: 5.  Wait DTMF 4\n");
 				res = ast_waitfordigit(chan, 3000);
 				fprintf(f, "WAIT DTMF 4:   %s\n", (res != '4') ? "FAIL" : "PASS");
 				if (res == '4')
@@ -244,15 +234,13 @@
 			}
 			if (!res) {
 				/* Step 6: Transmit tone noise */
-				if (option_debug)
-					ast_log(LOG_DEBUG, "TestClient: 6.  Transmit tone\n");
+				ast_debug(1, "TestClient: 6.  Transmit tone\n");
 				res = sendnoise(chan, 6000);
 				fprintf(f, "SENDTONE:      %s\n", (res < 0) ? "FAIL" : "PASS");
 			}
 			if (!res || (res == '5')) {
 				/* Step 7: Wait for "5" */
-				if (option_debug)
-					ast_log(LOG_DEBUG, "TestClient: 7.  Wait DTMF 5\n");
+				ast_debug(1, "TestClient: 7.  Wait DTMF 5\n");
 				if (!res)
 					res = ast_waitfordigit(chan, 3000);
 				fprintf(f, "WAIT DTMF 5:   %s\n", (res != '5') ? "FAIL" : "PASS");
@@ -263,8 +251,7 @@
 			}
 			if (!res) {
 				/* Step 8: Wait one second */
-				if (option_debug)
-					ast_log(LOG_DEBUG, "TestClient: 8.  Wait one second\n");
+				ast_debug(1, "TestClient: 8.  Wait one second\n");
 				res = ast_safe_sleep(chan, 1000);
 				fprintf(f, "WAIT 1 SEC:    %s\n", (res < 0) ? "FAIL" : "PASS");
 				if (res > 0)
@@ -272,8 +259,7 @@
 			}
 			if (!res) {
 				/* Step 9: Measure noise */
-				if (option_debug)
-					ast_log(LOG_DEBUG, "TestClient: 6.  Measure tone\n");
+				ast_debug(1, "TestClient: 6.  Measure tone\n");
 				res = measurenoise(chan, 4000, "TestClient");
 				fprintf(f, "MEASURETONE:   %s (%d)\n", (res < 0) ? "FAIL" : "PASS", res);
 				if (res > 0)
@@ -281,8 +267,7 @@
 			}
 			if (!res) {
 				/* Step 10: Send "7" */
-				if (option_debug)
-					ast_log(LOG_DEBUG, "TestClient: 7.  Send DTMF 7\n");
+				ast_debug(1, "TestClient: 7.  Send DTMF 7\n");
 				res = ast_dtmf_stream(chan, NULL, "7", 0);
 				fprintf(f, "SEND DTMF 7:   %s\n", (res < 0) ? "FAIL" : "PASS");
 				if (res > 0)
@@ -290,8 +275,7 @@
 			}
 			if (!res) {
 				/* Step 11: Wait for "8" */
-				if (option_debug)
-					ast_log(LOG_DEBUG, "TestClient: 11.  Wait DTMF 8\n");
+				ast_debug(1, "TestClient: 11.  Wait DTMF 8\n");
 				res = ast_waitfordigit(chan, 3000);
 				fprintf(f, "WAIT DTMF 8:   %s\n", (res != '8') ? "FAIL" : "PASS");
 				if (res == '8')
@@ -301,11 +285,10 @@
 			}
 			if (option_debug && !res ) {
 				/* Step 12: Hangup! */
-				ast_log(LOG_DEBUG, "TestClient: 12.  Hangup\n");
+				ast_debug(1, "TestClient: 12.  Hangup\n");
 			}
 
-			if (option_debug)
-				ast_log(LOG_DEBUG, "-- TEST COMPLETE--\n");
+			ast_debug(1, "-- TEST COMPLETE--\n");
 			fprintf(f, "-- END TEST--\n");
 			fclose(f);
 			res = -1;
@@ -330,16 +313,15 @@
 	if (chan->_state != AST_STATE_UP)
 		res = ast_answer(chan);
 	/* Read version */
-	if (option_debug)
-		ast_log(LOG_DEBUG, "Read client version\n");
+	ast_debug(1, "Read client version\n");
 	if (!res) 
 		res = ast_app_getdata(chan, NULL, testid, sizeof(testid) - 1, 0);
 	if (res > 0)
 		res = 0;
-	if (option_debug) {
-		ast_log(LOG_DEBUG, "client version: %s\n", testid);
-		ast_log(LOG_DEBUG, "Transmit server version\n");
-	}
+
+	ast_debug(1, "client version: %s\n", testid);
+	ast_debug(1, "Transmit server version\n");
+
 	res = ast_safe_sleep(chan, 1000);
 	if (!res)
 		res = ast_dtmf_stream(chan, NULL, "8378*1#", 0);
@@ -348,8 +330,7 @@
 
 	if (!res) 
 		res = ast_app_getdata(chan, NULL, testid, sizeof(testid) - 1, 0);		
-	if (option_debug) 
-		ast_log(LOG_DEBUG, "read test identifier: %s\n", testid);
+	ast_debug(1, "read test identifier: %s\n", testid);
 	/* Check for sneakyness */
 	if (strchr(testid, '/'))
 		res = -1;
@@ -364,13 +345,11 @@
 			fprintf(f, "SERVERCHAN:    %s\n", chan->name);
 			fprintf(f, "SERVERTEST ID: %s\n", testid);
 			fprintf(f, "ANSWER:        PASS\n");
-			if (option_debug)
-				ast_log(LOG_DEBUG, "Processing Test ID '%s'\n", testid);
+			ast_debug(1, "Processing Test ID '%s'\n", testid);
 			res = ast_safe_sleep(chan, 1000);
 			if (!res) {
 				/* Step 1: Send "1" */
-				if (option_debug) 
-					ast_log(LOG_DEBUG, "TestServer: 1.  Send DTMF 1\n");
+				ast_debug(1, "TestServer: 1.  Send DTMF 1\n");
 				res = ast_dtmf_stream(chan, NULL, "1", 0);
 				fprintf(f, "SEND DTMF 1:   %s\n", (res < 0) ? "FAIL" : "PASS");
 				if (res > 0)
@@ -378,8 +357,7 @@
 			}
 			if (!res) {
 				/* Step 2: Wait for "2" */
-				if (option_debug) 
-					ast_log(LOG_DEBUG, "TestServer: 2.  Wait DTMF 2\n");
+				ast_debug(1, "TestServer: 2.  Wait DTMF 2\n");
 				res = ast_waitfordigit(chan, 3000);
 				fprintf(f, "WAIT DTMF 2:   %s\n", (res != '2') ? "FAIL" : "PASS");
 				if (res == '2')
@@ -389,8 +367,7 @@
 			}
 			if (!res) {
 				/* Step 3: Measure noise */
-				if (option_debug) 
-					ast_log(LOG_DEBUG, "TestServer: 3.  Measure noise\n");
+				ast_debug(1, "TestServer: 3.  Measure noise\n");
 				res = measurenoise(chan, 6000, "TestServer");
 				fprintf(f, "MEASURENOISE:  %s (%d)\n", (res < 0) ? "FAIL" : "PASS", res);
 				if (res > 0)
@@ -398,8 +375,7 @@
 			}
 			if (!res) {
 				/* Step 4: Send "4" */
-				if (option_debug) 
-					ast_log(LOG_DEBUG, "TestServer: 4.  Send DTMF 4\n");
+				ast_debug(1, "TestServer: 4.  Send DTMF 4\n");
 				res = ast_dtmf_stream(chan, NULL, "4", 0);
 				fprintf(f, "SEND DTMF 4:   %s\n", (res < 0) ? "FAIL" : "PASS");
 				if (res > 0)
@@ -408,8 +384,7 @@
 		
 			if (!res) {
 				/* Step 5: Wait one second */
-				if (option_debug) 
-					ast_log(LOG_DEBUG, "TestServer: 5.  Wait one second\n");
+				ast_debug(1, "TestServer: 5.  Wait one second\n");
 				res = ast_safe_sleep(chan, 1000);
 				fprintf(f, "WAIT 1 SEC:    %s\n", (res < 0) ? "FAIL" : "PASS");
 				if (res > 0)
@@ -418,8 +393,7 @@
 		
 			if (!res) {
 				/* Step 6: Measure noise */
-				if (option_debug) 
-					ast_log(LOG_DEBUG, "TestServer: 6.  Measure tone\n");
+				ast_debug(1, "TestServer: 6.  Measure tone\n");
 				res = measurenoise(chan, 4000, "TestServer");
 				fprintf(f, "MEASURETONE:   %s (%d)\n", (res < 0) ? "FAIL" : "PASS", res);
 				if (res > 0)
@@ -428,8 +402,7 @@
 
 			if (!res) {
 				/* Step 7: Send "5" */
-				if (option_debug) 
-					ast_log(LOG_DEBUG, "TestServer: 7.  Send DTMF 5\n");
+				ast_debug(1, "TestServer: 7.  Send DTMF 5\n");
 				res = ast_dtmf_stream(chan, NULL, "5", 0);
 				fprintf(f, "SEND DTMF 5:   %s\n", (res < 0) ? "FAIL" : "PASS");
 				if (res > 0)
@@ -438,16 +411,14 @@
 
 			if (!res) {
 				/* Step 8: Transmit tone noise */
-				if (option_debug) 
-					ast_log(LOG_DEBUG, "TestServer: 8.  Transmit tone\n");
+				ast_debug(1, "TestServer: 8.  Transmit tone\n");
 				res = sendnoise(chan, 6000);
 				fprintf(f, "SENDTONE:      %s\n", (res < 0) ? "FAIL" : "PASS");
 			}
 		
 			if (!res || (res == '7')) {
 				/* Step 9: Wait for "7" */
-				if (option_debug) 
-					ast_log(LOG_DEBUG, "TestServer: 9.  Wait DTMF 7\n");
+				ast_debug(1, "TestServer: 9.  Wait DTMF 7\n");
 				if (!res)
 					res = ast_waitfordigit(chan, 3000);
 				fprintf(f, "WAIT DTMF 7:   %s\n", (res != '7') ? "FAIL" : "PASS");
@@ -460,8 +431,7 @@
 				res = ast_safe_sleep(chan, 1000);
 			if (!res) {
 				/* Step 10: Send "8" */
-				if (option_debug) 
-					ast_log(LOG_DEBUG, "TestServer: 10.  Send DTMF 8\n");
+				ast_debug(1, "TestServer: 10.  Send DTMF 8\n");
 				res = ast_dtmf_stream(chan, NULL, "8", 0);
 				fprintf(f, "SEND DTMF 8:   %s\n", (res < 0) ? "FAIL" : "PASS");
 				if (res > 0)
@@ -469,8 +439,7 @@
 			}
 			if (!res) {
 				/* Step 11: Wait for hangup to arrive! */
-				if (option_debug) 
-					ast_log(LOG_DEBUG, "TestServer: 11.  Waiting for hangup\n");
+				ast_debug(1, "TestServer: 11.  Waiting for hangup\n");
 				res = ast_safe_sleep(chan, 10000);
 				fprintf(f, "WAIT HANGUP:   %s\n", (res < 0) ? "PASS" : "FAIL");
 			}
Index: app_ices.c
===================================================================
--- app_ices.c	(revision 69052)
+++ app_ices.c	(working copy)
@@ -170,15 +170,13 @@
 			/* Wait for audio, and stream */
 			ms = ast_waitfor(chan, -1);
 			if (ms < 0) {
-				if (option_debug)
-					ast_log(LOG_DEBUG, "Hangup detected\n");
+				ast_debug(1, "Hangup detected\n");
 				res = -1;
 				break;
 			}
 			f = ast_read(chan);
 			if (!f) {
-				if (option_debug)
-					ast_log(LOG_DEBUG, "Null frame == hangup() detected\n");
+				ast_debug(1, "Null frame == hangup() detected\n");
 				res = -1;
 				break;
 			}
Index: app_channelredirect.c
===================================================================
--- app_channelredirect.c	(revision 69052)
+++ app_channelredirect.c	(working copy)
@@ -105,8 +105,7 @@
 		goto chanquit;
 	}
 
-	if (option_debug > 1)
-		ast_log(LOG_DEBUG, "Attempting async goto (%s) to %s|%s|%d\n", args.channel, S_OR(context, chan2->context), S_OR(exten, chan2->exten), prio);
+	ast_debug(2, "Attempting async goto (%s) to %s|%s|%d\n", args.channel, S_OR(context, chan2->context), S_OR(exten, chan2->exten), prio);
 
 	if (ast_async_goto_if_exists(chan2, S_OR(context, chan2->context), S_OR(exten, chan2->exten), prio))
 		ast_log(LOG_WARNING, "%s failed for %s\n", app, args.channel);
Index: app_directed_pickup.c
===================================================================
--- app_directed_pickup.c	(revision 69052)
+++ app_directed_pickup.c	(working copy)
@@ -59,8 +59,7 @@
 {
 	int res = 0;
 
-	if (option_debug)
-		ast_log(LOG_DEBUG, "Call pickup on '%s' by '%s'\n", target->name, chan->name);
+	ast_debug(1, "Call pickup on '%s' by '%s'\n", target->name, chan->name);
 
 	if ((res = ast_answer(chan))) {
 		ast_log(LOG_WARNING, "Unable to answer '%s'\n", chan->name);
